/******************************************

  Smarter nevo client
  Kenrick Mock 

********************************************/

#include <stdio.h>
#include <signal.h>
#include <ctype.h>
#include "nevo.h"
#include "client_io.h"
#include "choose.h"

#define LOOKAHEAD 4

/****************/
play_board arrboard[10];
int Wcount[10];
int Bcount[10];
int Wdist[10];
int Bdist[10];

char comp_player;
int stopnow;
int stoptime;
/****************/

void new_init()
 {
  FILE *fp;
  int i,j;
 
  fp=fopen("start.game","r");
  for(i=0;i<7;i++)
   {
    for(j=0;j<12;j++)
      if((arrboard[0][j][i]=fgetc(fp))=='-') arrboard[0][j][i]=' ';
    fgetc(fp);
   }
  close(fp);
  Wcount[0] = Bcount[0] = 12;
  Wdist[0] = Bdist[0] = 12;
 }


/******************************************************************/
/*                           MAIN                                 */
/******************************************************************/
main(int argc,char *argv[])
 {
  char whose_turn='W';
  struct move_piece mov;
  int look;
  char move[4];
  int validmove;
  char comp_player;

  if (argc!=2) {
    printf("This program should be used from the game manager.\n");
    printf("It will invoke this program using:\n");
    printf("         program W\n");
    printf("              or\n");
    printf("         program B\n");
    printf("To indicate if you are black or white.\n");
    exit(0);
  }

  /* Get what color we are.
   * This should be the first character in argv[1], which will
   * be either 'W' or 'B' if we're using the game manager.
  */
  comp_player = argv[1][0];
 
  srand(getpid());
  new_init();

  while(1)
   {
    if (whose_turn!=comp_player) {
        /* If it's not our turn, wait for the move to get sent in to us */
	GetMoveFromOpponent(&mov.oldx,&mov.oldy,&mov.newx,&mov.newy);
    }
    else {
        /* It's our turn, so generate a move and send it */
        get_comp_move(&mov,whose_turn,LOOKAHEAD,comp_player);
	SendMoveToOpponent(mov.oldx,mov.oldy,mov.newx,mov.newy);
    }
    ApplyMove(&mov,0);
    if(WinGame(whose_turn,0))
     {
      exit(0);
     }
    whose_turn=(whose_turn=='W')?'B':'W';
   }
 }


